
package eu.dnetlib.dhp.schema.dump.oaf;

import java.io.Serializable;

import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * To represent the information described by a scheme and a value in that scheme (i.e. doi). It has two parameters: -
 * scheme of type String to store the scheme - value of type String to store the value in that scheme
 */
public class ControlledField implements Serializable {
	@JsonSchema(description="The scheme used to express the value (i.e. doi)")
	private String scheme;

	@JsonSchema(description="The value expressed in the scheme (i.e. 10.1000/182)")
	private String value;

	public String getScheme() {
		return scheme;
	}

	public void setScheme(String scheme) {
		this.scheme = scheme;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public static ControlledField newInstance(String scheme, String value) {
		ControlledField cf = new ControlledField();

		cf.setScheme(scheme);
		cf.setValue(value);

		return cf;
	}
}
